Subject: Re: bug#45433: 28.0.50; byte/native-compiling ivy and ox-publish possibly miscompiled

From: Andrea Corallo <[email-masked]>
Date: Sat, 26 Dec 2020 20:54:59 +0000

Mauricio Collares <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>>
>> Hi Mauricio,
>>
>> you mean that on trunk you get the same error using `batch-byte-compile'
>> on both the mentioned files?
>>
>>   Andrea
>
> Hi Andrea,
>
> Sorry, I misspoke! All of the tests (including the one I will describe
> below) were performed on the feature/native-comp branch, not trunk. What
> I meant to say is that I retested using the latest commit, since my
> original build was a week old. The error messages I get when requiring
> ivy, ox-publish and esxml-query on the latest commit of the native-comp
> branch match the three error messages I sent before.
>
> I also tested if just using batch-byte-compile was enough to trigger the
> error when requiring esxml-query, and it wasn't. It only happens when
> using batch-native-compile. I didn't test deferred compilation, though.
>
> Best,
> Mauricio

Hi Mauricio,

I had a look, this issue is not native compiler related as I get the
same behavior byte compiling.

The trouble seems with `ivy-add-face-text-property' being defaliased,
ATM I'm not sure what is going on tho.

  Andrea